Package com.verisign.epp.codec.defReg

## Class EPPDefRegInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.defReg.EPPDefRegInfoCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDefRegInfoCmd
      extends EPPInfoCmd

  Represents an EPPDefReg `<info>` command that is used to retrieve information associated with a defReg. The response to this command MAY vary depending on the identity of the querying client, use of authorization information, and server policy towards unauthorized clients. If the querying client is the sponsoring client, all available information MUST be returned. If the querying client is not the sponsoring client, but the client provides valid authorization information, all available information MUST be returned. If the querying client is not the sponsoring client, and the client does not provide valid authorization information, server policy determines which OPTIONAL elements are returned.
  In addition to the standard EPP command elements, the `<info>` command MUST contain a `<defReg:info>` element that identifies the defReg namespace.The `<defReg:info>` element contains the following child elements:
  - A `<defReg:roid>` element that contains the roid of the object to be queried
  - A `<defReg:authInfo>` OPTIONAL element that contains authorization information associated with the defReg object or authorization information associated with the defReg object's registrant or associated contacts. An OPTIONAL "roid" attribute MUST be used to identify the registrant or contact object if and only if the given authInfo is associated with a registrant or contact object, and not the defReg itself. If this element is not provided or if the authorization information is invalid, server policy determines if the command is rejected or if response information will be returned to the client.
  `EPPDefRegInfoResp` is the concrete `EPPReponse` associated with `EPPDefRegInfoCmd`.
  See Also:
    `EPPDefRegInfoResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDefRegInfoCmd()` | `EPPDefRegInfoCmd` default constructor.
    `EPPDefRegInfoCmd​(java.lang.String aTransId, java.lang.String aRoid)` | `EPPDefRegInfoCmd` constructor that takes the defReg roid as an argument.
    `EPPDefRegInfoCmd​(java.lang.String aTransId, java.lang.String aRoid, EPPAuthInfo aAuthInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDefRegInfoCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPDefRegInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDefRegInfoCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDefRegInfoCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` | Get authorization information
    `java.lang.String` | `getKey()` | Gets the key for the defensive registration object, which is the defensive registration ROID.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPDefRegInfoCmd`.
    `java.lang.String` | `getRoid()` | Gets the defReg roid to get information on.
    `void` | `setAuthInfo​(EPPAuthInfo aAuthInfo)` | Set authorization information
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the defReg roid to get information on.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegInfoCmd

          public EPPDefRegInfoCmd()

      `EPPDefRegInfoCmd` default constructor. The roid is initialized to `null`. The roid must be set before invoking `encode`.

    - #### EPPDefRegInfoCmd

          public EPPDefRegInfoCmd​(java.lang.String aTransId,
                                  java.lang.String aRoid)

      `EPPDefRegInfoCmd` constructor that takes the defReg roid as an argument.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aRoid` - DefReg roid to get information on.

    - #### EPPDefRegInfoCmd

          public EPPDefRegInfoCmd​(java.lang.String aTransId,
                                  java.lang.String aRoid,
                                  EPPAuthInfo aAuthInfo)

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDefRegInfoCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the defensive registration object, which is the defensive registration ROID.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The defensive registration ROID if set; `null` otherwise.

    - #### getRoid

          public java.lang.String getRoid()

      Gets the defReg roid to get information on.
      Returns:
        DefReg roid `String` instance if defined; `null` otherwise.

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the defReg roid to get information on.
      Parameters:
        `aRoid` - DefReg Name

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDefRegInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegInfoCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization information
      Returns:
        Authorization information if defined; `null` otherwise;

    - #### setAuthInfo

          public void setAuthInfo​(EPPAuthInfo aAuthInfo)

      Set authorization information
      Parameters:
        `aAuthInfo` - EPPAuthInfo

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDefRegInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPDefRegInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.